Bug 204346 - adminserver does not bind to virtual interface
adminserver does not bind to virtual interface
Status: CLOSED NOTABUG
Product: 389
Classification: Community
Component: Admin (Show other bugs)
1.0.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 434915 389_1.3.0
  Show dependency treegraph
 
Reported: 2006-08-28 12:56 EDT by Christian Tramnitz
Modified: 2015-01-04 18:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 15:12:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Tramnitz 2006-08-28 12:56:25 EDT
Description of problem: The adminserver does not bind to the IP address of a
virtual interface, such as eth0:1

How reproducible: Console does not accept IP to be entered that are bound to a
virtual interface. When using a virtual interface IP during setup the servers
binds to all IPs (0.0.0.0)


Steps to Reproduce:
1. setup virtual interface with a new IP (i.e. 1.2.3.4)
2a. run setup and configure to listen to 1.2.3.4
-or-
2a. run console and configure to listen to 1.2.3.4
  

Actual results:
2a) will result in the server listening on any interfaces (0.0.0.0)
2b) won't accept input with the following error message:
 Status: Failure
 Attribute[configuration.nsserveraddress] has invalid value


Expected results:
Bind to IP that was configured (only)

Additional info:
This will occur on hosts with multiple IPs one interface, as usually seen in
clustered environments.
Comment 3 Nathan Kinder 2011-02-16 15:02:35 EST
The setup-ds-admin.pl program needs a FQDN passed to it, not an IP address.  By default, both ns-slapd and httpd will listen on all interfaces.  The FQDN is used for other purposes than the interface(s) to listen on.
Comment 4 Nathan Kinder 2011-02-16 15:12:22 EST
To control what addresses ns-slapd listens on, you must set nsslapd-listenhost in cn=config to the hostname or address that you want.  You can also set this in via 389-console.

To control what addresses httpd listens on, you can set the listen address via 389-console.  You can alternatively set it as the Listen parameter in /etc/dirsrv/admin-serv/console.conf.

I have verified that Directory Server, Admin Server, and Console all work when setting both servers to listen only on a virtual interface with the above methods on my f14 test system.  Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.